:root {

  --navbar: #FFF8CD;

  --navText: #646464;

  --navhover: #FF9642;

}





* {

  padding: 0;

  box-sizing: border-box;

}



html,

body {

  scroll-behavior: smooth;

}



body {

  background-color: #FFF8CD;

  font-family: Arial,

    Helvetica,

    sans-serif;

  margin: 0;

}



img {

  width: 100%;

  height: auto;

}



p {

  font-size: 15px;

  letter-spacing: 1.6px;

}



a {

  text-decoration: none;

}



/* 營業項目 */



#business {

  padding: 0px;

  margin: 0px;

  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.197);

}



#business h2 {

  margin: 0px;

  font-size: 16px;

  text-align: center;

  color: rgb(7, 7, 7);

  letter-spacing: 2px;

  font-weight: 600;

  padding: 20px 0px;

  background-color: var(--navbar);

}

.bicon {
  width: 20%;
  z-index: 999;
  position: absolute;
  bottom: 2%;
  left: 2%;
}

.bicon img {
  margin-top: 10px;
}

.bicon img:hover {
  opacity: 0.7;
}


/* 導覽列 */



.nav-container {

  width: 100%;

  background-color: var(--navbar);

  z-index: 10;

  position: fixed;

  box-shadow: 0px 3px 5px rgba(0, 0, 0, 0.265);

}



.navbar {

  display: grid;

  grid-template-columns: 0.2fr auto 1fr;

  align-items: center;

  height: 80px;

  width: 95%;

  max-width: 1720px;

  margin: 0 auto;

}





#navbar-logo {

  width: 30%;

  justify-self: start;

  margin-left: 20px;

  cursor: pointer;

}



.nav-menu {

  display: grid;

  grid-template-columns: repeat(7, auto);

  list-style: none;

  text-align: center;

  width: 70%;

  justify-self: end;

}



.nav-links {

  font-size: 18px;

  letter-spacing: 1.8px;

  color: var(--navText);

}



.nav-links:hover {

  color: var(--navhover);

  transition: all 0.2s ease-out;

}



.menu-toggle .bar {

  width: 25px;

  height: 3px;

  margin: 5px auto;

  transition: all 0.3s ease-in-out;

  background: white;

}





.card img:hover {
  opacity: 0.8;
}

/* banner幻燈片 */

#product {
  background-color: #fafafa;
}

.productarea {

  padding: 0px;

  margin: 80px 0px;



}

#product1 {

  padding: 0px;

  margin: 80px auto;

  width: 50%;

}

#product1 .title {
  text-align: center;
  font-size: 28px;
  margin-top: 5%;
  color: #161616;
  font-weight: 700;
  background-color: rgb(255, 255, 255);
  padding: 10px;
  margin-bottom: 50px;
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.197);

}

#product1 .title a {
  font-size: 28px;
  color: #b0b0b0;
}

h1 {
  width: 100%;
  text-align: center;
  font-size: 36px;
  margin-bottom: 5%;
  color: #646464;
}

.banner .swiper {

  padding-top: 80px;

  width: 100%;

  height: 100%;

}



#product .swiper {

  width: 100%;

  height: 100%;

}


#product1 .swiper {

  width: 100%;

  height: 100%;

}


.swiper-slide {

  text-align: center;

  font-size: 18px;

  background: #fff;



  /* Center slide text vertically */

  display: -webkit-box;

  display: -ms-flexbox;

  display: -webkit-flex;

  display: flex;

  -webkit-box-pack: center;

  -ms-flex-pack: center;

  -webkit-justify-content: center;

  justify-content: center;

  -webkit-box-align: center;

  -ms-flex-align: center;

  -webkit-align-items: center;

  align-items: center;

  overflow: initial;

}



.swiper-slide img {

  display: block;

  width: 100%;

  height: 100%;

  object-fit: cover;

}




.item p {

  font-size: 18px;

}


/* 主要內容 */

section {

  padding: 80px 0px;

}



/* 關於我們 */



#about {

  display: flex;

  justify-content: space-between;

  width: 80%;

  margin: 0 auto;

  margin-top: 30px;

}



.aboutPic {

  width: 47%;

}



.aboutPic img {

  border-radius: 3px;

  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.292);

}



.aboutText {

  width: 47%;

}



.aboutText h1 {

  font-size: 28px;

  font-weight: 900;

  color: #646464;

  letter-spacing: 2px;

  margin-bottom: 10px;

}



.aboutText h2 {

  font-weight: 600;

  line-height: 2.5;

  margin-bottom: 20px;

  color: #626a6d;

  font-size: 18px;

  text-align: justify;

  letter-spacing: 2px;

}



.aboutText p {

  font-weight: 700;

  line-height: 1.5;

  margin-bottom: 20px;

  color: #6f797d;

}



.aboutText h3 {

  font-size: 20px;

  font-weight: 900;

  color: #626a6d;

  letter-spacing: 2px;

  margin-bottom: 10px;

}

.accordion {

  color: #646464;

  background-color: #FFE05D;

  cursor: pointer;

  padding: 18px;

  width: 100%;

  border: none;

  text-align: left;

  outline: none;

  font-size: 15px;

  transition: 0.4s;

  transition: all 0.5s ease-out;

}



#about .active,

.accordion:hover {

  background-color: #ffffff;

}



.panel {

  padding: 0 20px;

  background-color: white;

  max-height: 0;

  overflow: hidden;

  transition: all 0.5s ease-out;

}



.panel p {

  font-size: 16px;

  letter-spacing: 1.8px;

  line-height: 1.8;

  text-align: justify;

  font-weight: 500;

}

.newsText{
display: none;
} 

.panel ol li {

  font-size: 14px;

  letter-spacing: 1.8px;

  line-height: 1.8;

  margin-left: 20px;

  margin-bottom: 15px;

  opacity: 0.8;

}

/* 團隊介紹 */

#team {
  background-color: #fafafa;
}

.teamarea {

  display: flex;

  justify-content: center;

  flex-wrap: wrap;

  width: 80%;

  margin: 0 auto;


}



.card {
  margin: auto;

  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);

  transition: 0.3s;

  border-radius: 5px;

  width: 46%;

  margin-bottom: 50px;

}

#product1 .card {

  width: 100%;
}



.card a {

  color: #646464;

  font-size: 14px;

}



.card a:hover {

  color: #eccf79;

}



.card p {

  font-size: 20px;

}



.card:hover {

  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);

}



.container {

  padding: 12px 16px;

}



/* hero */

.hero-image {

  /* background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("img/hero.jpg"); */
  background-image: url("img/hero.jpg");

  /* Set a specific height */

  height: 500px;



  /* Position and center the image to scale nicely on all screens */

  background-position: center;

  background-repeat: no-repeat;

  background-size: cover;

  position: relative;

}



/* Place text in the middle of the image */

.hero-text {

  text-align: center;

  position: absolute;

  top: 50%;

  left: 50%;

  transform: translate(-50%, -50%);

  color: white;

}



.hero-text h4 {

  font-size: 36px;

  margin-bottom: 20px;

}



.hero-text p {

  font-size: 18px;

  margin-bottom: 30px;

}



.hero-text a {

  color: black;

}



.hero-text a:hover {

  color: rgb(253, 253, 253);

}





.hero-text a {

  border: none;

  outline: 0;

  display: inline-block;

  padding: 10px 25px;

  color: black;

  background-color: #ddd;

  text-align: center;

  cursor: pointer;

  border-radius: 2px;

}



.hero-text a:hover {

  background-color: rgb(132, 120, 109);

  color: white;

}


#pay img {
  width: 50%;
  margin: auto;
  display: flex;
  justify-content: center;
}


/* 服務項目 */



/* #service {

  width: 80%;

  margin: auto;

} */



/* .serviceArea {

  display: flex;

  flex-wrap: wrap;

  justify-content: space-between;

} */

.paypic {
  display: flex;
  width: 100%;

}

.payitem {
  width: 100%;
}

.videosarea {
  width: 100%;
  display: block;
  /* margin: auto; */


}

.videosarea iframe {
  margin-left: 10%;

  height: 900px;

  width: 80%;
}


#service .card {

  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);

  max-width: 30%;

  margin-bottom: 50px;

  text-align: center;

  font-family: arial;

}



#service .price {

  color: grey;

  font-size: 18px;

}



#service .card p {

  font-size: 16px;

}



#service .card .title {

  font-size: 26px;

  font-weight: 600;

}



#service .card button {

  border: none;

  outline: 0;

  padding: 12px;

  color: white;

  background-color: #000;

  text-align: center;

  cursor: pointer;

  width: 100%;

  font-size: 18px;

}



#service .card button:hover {

  opacity: 0.7;

}


#knowledge h1 {
  font-size: 40px;
  font-weight: 600;
  text-align: center;
  margin: 50px auto;
  color: #646464;
}

#knowledge h2 {
  font-weight: 600;
  font-size: 25px;
  text-align: left;
}

#knowledge h3 {
  font-weight: 500;
  font-size: 25px;
  text-align: left;
  color: #646464;
}

#knowledge p {
  letter-spacing: 2px;
  line-height: 2;
  margin: 50px auto;
}


#knowledge {
  margin: auto;
  width: 60%;

}

#knowledge .card {
  width: 80%;
}


#design h1 {
  font-size: 40px;
  font-weight: 600;
  text-align: center;
  margin: auto;
  color: #646464;
}

#design b {
  font-weight: 400;
  font-size: 25px;
}

#design {
  background-color: #fafafa;
}

.designarea {

  margin: auto;

  justify-content: center;

}

/* 社群媒體icon */



#social {

  position: sticky;

  bottom: 0;

  /* left: 0;

  width: 20%;

  margin-top: 20%; */

}



#social ul {

  display: flex;

  justify-content: center;
  margin: auto;
  flex-direction: column;
}



#social ul li {

  filter: brightness(1);

  border-bottom: none;

  padding: 20px;

  display: block;

}



#social ul li a {

  opacity: 0.7;

  width: 100px;

  height: 100px;

  background-position: center;

  background-repeat: no-repeat;

  background-size: 100%;

  display: block;

}



#social .ig {

  background-image: url(https://www.shop1688.com.tw/sys/ig.svg);

}



#social .fb {

  background-image: url(https://www.shop1688.com.tw/sys/fb.svg);

}



#social .line {

  background-image: url(https://www.shop1688.com.tw/sys/line.svg);

}



#social .pchome {

  background-image: url(https://www.shop1688.com.tw/sys/pchome.svg);

}



#social .pchomeStore {

  background-image: url(https://www.shop1688.com.tw/sys/pchomeStore.svg);

}



#social .reten {

  background-image: url(https://www.shop1688.com.tw/sys/reten.svg);

}



#social .shopee {

  background-image: url(https://www.shop1688.com.tw/sys/shopee.svg);

}



#social .tumblr {

  background-image: url(https://www.shop1688.com.tw/sys/tumblr.svg);

}



#social .web {

  background-image: url(https://www.shop1688.com.tw/sys/web.svg);

}



#social .yahoo {

  background-image: url(https://www.shop1688.com.tw/sys/yahoo.svg);

}



#social .youtube {

  background-image: url(https://www.shop1688.com.tw/sys/youtube.svg);

}



#social .tag {

  background-image: url(https://www.shop1688.com.tw/sys/tagBorder.svg);

}



#social .momo {

  background-image: url(https://www.shop1688.com.tw/sys/momo.svg);

}



#social .rakuten {

  background-image: url(https://www.shop1688.com.tw/sys/rakuten.svg);

}



#social .pixnet {

  background-image: url(https://www.shop1688.com.tw/sys/pixnet.svg);

}



#social .bandq {

  background-image: url(https://www.shop1688.com.tw/sys/bandq.svg);

}



#social .taobao {

  background-image: url(https://www.shop1688.com.tw/sys/taobao.svg);

}



#social .books {

  background-image: url(https://www.shop1688.com.tw/sys/books.svg);

}



#social .gomaji {

  background-image: url(https://www.shop1688.com.tw/sys/gomaji.svg);

}



#social .foodpanda {

  background-image: url(https://www.shop1688.com.tw/sys/foodpanda.svg);

}



#social .top {

  background-image: url(https://www.shop1688.com.tw/sys/top.svg);

  transition: 0.5s;

}

.butt ul {
  margin: auto;
  list-style-type: none;
  display: flex;
  flex-direction: column;
  width: 50%;
  margin: auto;
}

.butt ul li img {
  margin-bottom: 20px;
}





/* rest */



#Rest {

  display: flex;

  background-color: rgb(86, 71, 58);

  padding: 0px;

  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.177);

}



.restText {

  padding: 150px 200px;

  width: 50%;

  color: white;

}



.restText .restTitle {

  font-size: 34px;

  font-weight: 900;

  letter-spacing: 2px;

  margin-bottom: 30px;

}



.restText p {

  font-size: 16px;

  letter-spacing: 1.6px;

  line-height: 2;

  text-align: justify;

}



.restText .btn {

  background-color: #ddd;

  padding: 10px 30px;

  text-align: center;

  border-radius: 25px;

  margin-top: 40px;

  font-size: 18px;

  font-weight: 700;

  box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.421);

  transition: all 0.3s ease-in-out;

}



.restText .btn:hover {

  transform: scale(1.03);

}



.restText .btn a {

  color: rgb(57, 57, 57);

}



.restPic {

  width: 50%;

  padding: 0;

  margin: 0;

}



.restPic img {

  height: 100%;

}



/* 精選照片 */



#photo {

  width: 80%;

  margin: auto;

  display: flex;

  justify-content: space-between;

  flex-wrap: wrap;

}



.photoItem {

  position: relative;

  width: 24%;

  margin-bottom: 20px;

}



#photo img {

  display: block;

  box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.272);

  border-radius: 5px;

}



#photo img:hover {

  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.238);

  transition: all 0.5s ease;

}



.overlay {

  position: absolute;

  bottom: 0;

  background: rgb(206, 200, 191);

  /* Black see-through */

  color: #f1f1f1;

  width: 100%;

  transition: .5s ease;

  opacity: 0;

  color: white;

  font-size: 20px;

  padding: 20px;

  text-align: center;

  letter-spacing: 1.8px;

}



.photoItem:hover .overlay {

  opacity: 1;

}



/* 聯絡我們 */



#contact {

  margin: auto;

  display: flex;

  flex-direction: column;

  align-items: center;

  background-color: #FFF8CD;

  padding-bottom: 150px;

}



#contact h5 {

  font-size: 36px;
  color: #646464;
}



#contact .map {

  width: 80%;

}



iframe {

  margin-top: 50px;

  width: 100%;

}



/* footer頁腳 */



#footer {

  background-color: var(--navbar);

}



.footerArea {

  display: flex;

  flex-direction: column;

  align-items: center;

  width: 50%;

  margin: auto;

}



#footer .logo {

  width: 20%;
  margin: auto;

}



.footerText {

  width: 100%;

  display: flex;

  color: rgb(29, 29, 29);

  margin-top: 50px;

  justify-content: space-around;

}



.footerText h5 {

  margin-bottom: 20px;

}



.copyright p {

  text-align: center;

  font-size: 12px;

  margin: 5px 0px;

  color: #303030;

}

@media screen and (max-width: 1200px) {

  #navbar-logo {
    width: 60%;
    justify-self: start;
    margin-left: 20px;
    cursor: pointer;
  }

  .videosarea iframe {
    height: 600px;
  }

}

@media screen and (max-width: 900px) {

  .videosarea iframe {
    height: 500px;
  }

  .nav-menu {

    width: 90%;

  }



  #about {

    flex-direction: column;

  }



  .aboutPic {

    width: 100%;

  }



  .aboutText {

    width: 100%;

  }



  .restText {

    padding: 50px 60px;

  }



  .restText .restTitle {

    font-size: 28px;

  }



  .restPic img {

    object-fit: cover;

  }



  .footerArea {

    width: 80%;

  }



}



@media screen and (max-width: 600px) {
  #about {
    width: 95%;
  }

  .aboutText h2 {
    font-size: 14px;
    letter-spacing: 0px;
  }


  .item p {

    font-size: 16px;

  }

  #social ul li a {
    width: 100%;
    margin-bottom: 20px;
  }

  .panel {
    padding: 0 5px;
  }

  .panel p {
    font-size: 14px;
    letter-spacing: 0px;
    line-height: 1.8;
    text-align: justify;
    font-weight: 500;
  }

  .videosarea iframe {
    height: auto;
  }

  section {

    padding: 40px 0px;

  }



  #business h2 {

    padding: 10px 15px;

    font-size: 12px;

    text-align: justify;

  }



  .banner .swiper {

    padding-top: 80px;

  }





  .nav-container {

    position: fixed;

  }



  .nav-menu {

    display: grid;

    grid-template-columns: auto;

    background: var(--navbar);

    margin: 0;

    width: 100%;

    position: absolute;

    top: 80px;

    left: -100%;

    opacity: 0;

    transition: all 0.5s ease;

  }





  #navbar-logo {
    width: 60%;
    margin-left: 140px;
  }



  .nav-menu.active {

    background: var(--navbar);

    left: 0;

    opacity: 1;

    transition: all 0.5s ease;

  }



  .nav-links {

    text-align: center;

    line-height: 60px;

    width: 100%;

    display: table;

  }



  .nav-links:hover {

    background-color: rgb(103, 82, 65);

    color: white;

    transition: all 0.4s ease-out;

  }



  .navbar {

    width: 100%;

  }



  #mobile-menu {

    position: absolute;

    top: 20%;

    right: 5%;

    transform: translate(5%, 20%);

  }



  .menu-toggle .bar {

    display: block;

    cursor: pointer;

  }



  .menu-toggle:hover {

    cursor: pointer;

  }



  #mobile-menu.is-active .bar:nth-child(2) {

    opacity: 0;

  }



  #mobile-menu.is-active .bar:nth-child(1) {

    transform: translateY(11px) rotate(45deg);

  }



  #mobile-menu.is-active .bar:nth-child(3) {

    transform: translateY(-5px) rotate(-45deg);

  }



  #about {

    flex-direction: column;

  }



  .aboutText,

  .aboutPic {

    width: 100%;

  }



  .aboutPic {

    margin-bottom: 20px;

  }



  .aboutText p {

    text-align: justify;

  }



  .aboutText h4 {

    font-size: 16px;

  }



  .card {

    width: 100%;

  }



  .hero-text {

    width: 80%;

  }



  .hero-text h4 {

    font-size: 26px;

  }



  .hero-text p {

    font-size: 14px;

  }



  #product .swiper {

    padding-top: 0px;

  }


  #product1 .swiper {

    padding-top: 0px;

  }



  #service .card {

    max-width: 100%;

  }



  #contact h5 {

    font-size: 22px;

  }



  #Rest {

    flex-wrap: wrap;

  }



  .restText {

    width: 100%;

    padding: 40px 50px;

  }



  .restPic {

    width: 100%;

  }



  .restText .restTitle {

    font-size: 24px;

  }



  .restText p {

    line-height: 1.6;

  }



  .photoItem {

    width: 100%;

  }



  .footerArea {

    width: 80%;

  }



  #social {

    margin-top: 20px;

    width: 50%;

  }



  iframe {

    margin-top: 30px;

  }



  .footerText {

    flex-direction: column;

    margin-top: 30px;

    width: 100%;

  }





  .footerText p {

    margin-bottom: 5px;

  }



  .footerText .item {

    margin-bottom: 20px;

  }





  #footer .logo {

    width: 50%;

  }

  #knowledge {
    margin: auto;
    width: 85%;

  }


  #pay img {
    width: 100%;
    margin: auto;
    display: flex;
    justify-content: center;
  }

  #knowledge h1 {
    font-size: 30px;
  }

  #knowledge b {
    font-size: 20px;
  }


  #design h1 {
    font-size: 30px;
  }

  #design b {
    font-size: 20px;
  }

  #product1 {
    width: 80%;
  }

  #product1 p {
    text-align: center;
    font-size: 15px;
    color: #000000;
    /* margin-top: -30px; */
  }

  #product1 .title {
    font-size: 22px;
    width: 100%;

  }

}